package ch.sahits.game.openpatrician.model;
/**
 * Interface that defines the methods for any class that whishes to
 * be notified by Clock changes.
 * @author Andi Hotz, (c) Sahits GmbH, 2011
 * Created on Nov 28, 2011
 *
 */
public interface IClockUpdateListener {
	/**
	 * The update size of a tick changed.
	 * @param minutes new tick size in minutes
	 */
	public void updateTick(int minutes);
	/** Clock ticked once */
	public void ticked();
}
