package ch.sahits.game.openpatrician.model;

import java.util.List;

import ch.sahits.game.openpatrician.model.city.ICity;

/**
 * Interface defining the map that defines the game plan
 * @author Andi Hotz, (c) Sahits GmbH, 2011
 * Created on Sep 9, 2011
 *
 */
public interface IMap {
	/**
	 * Retrieve the number of cities that are on the map.
	 * @return
	 */
	public int getNumberCities();
	/**
	 * Retrieve an unmodifiable list of all the cities in the map
	 * @return
	 */
	public List<ICity> getCities();
	// TODO need more specific methods to find a city
}
