package ch.sahits.game.openpatrician.model;

import java.util.List;

import ch.sahits.game.openpatrician.model.city.ICity;
import ch.sahits.game.openpatrician.model.ship.IShip;

/**
 * Player in the game.
 * @author Andi Hotz, (c) Sahits GmbH, 2011
 * Created on Jun 15, 2011
 *
 */
public interface IPlayer {
	/**
	 * Retrieve the players name
	 * @return
	 */
	public String getName();
	/**
	 * Get a players last name
	 * @return
	 */
	public String getLastName();
	/**
	 * Retrieve the players hometown
	 * @return
	 */
	public ICity getHometown();
	/**
	 * Get a list of all ships
	 * @return
	 */
	public List<IShip> getFleet();
	/**
	 * Add a new ship for the player
	 * @param ship
	 */
	public void addShipp(IShip ship);
	/**
	 * Remove a ship for the player
	 * @param ship
	 */
	public void removeShip(IShip ship);
	/**
	 * Check if the player is male
	 * @return
	 */
	public boolean isMale();
	/**
	 * Retrieve the amount of money of the player
	 * @return
	 */
	public int getCash();
	public abstract void updateCash(int diff);
}
