package ch.sahits.game.openpatrician.model.ship;
/**
 * This factory class creates ship instances.
 * @author Andi Hotz, (c) Sahits GmbH, 2011
 * Created on Nov 19, 2011
 *
 */
public class ShipFactory {
	/**
	 * Create a a crayer with the given name. The crayer is not upgraded
	 * @param name
	 * @return
	 */
	public static ICrayer createCrayer(String name){
		return new Crayer(name);
	}
	/**
	 * Create a crayer with the given name. The crayer is upgraded to the specified level
	 * @param name
	 * @param upgradeLevel
	 * @return
	 */
	public static ICrayer createCrayer(String name, EShipUpgrade upgradeLevel){
		return new Crayer(upgradeLevel, name);
	}
}
